Page MenuHomePhabricator

Remove "Open" button from all four link inspectors
Closed, ResolvedPublic8 Story Points

Event Timeline

Jdforrester-WMF raised the priority of this task from to Low.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF moved this task to Needs Discussion/Analysis on the VisualEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 19 2015, 10:18 PM

Change 232653 had a related patch set uploaded (by Jforrester):
MWLinkNodeInspector: Remove 'Open' button

https://gerrit.wikimedia.org/r/232653

Krenair added a subscriber: Krenair.

Change 232653 merged by jenkins-bot:
MWLinkNodeInspector: Remove 'Open' button

https://gerrit.wikimedia.org/r/232653

Jdforrester-WMF closed this task as Resolved.Aug 21 2015, 7:31 PM
Jdforrester-WMF set Security to None.
Esanders renamed this task from Remove "Open" button from MWExternalLinkNode inspector to Remove "Open" button from link inspecotrs.Aug 24 2015, 10:12 PM
Esanders reopened this task as Open.
Esanders added a subscriber: Esanders.

Renamed bug to describe a consistent change across the link inspectors.

Personally I think the open button is useful (if misplaced on the internal inspector) for testing a link while editing.

Change 233624 had a related patch set uploaded (by Esanders):
Revert "MWLinkNodeInspector: Remove 'Open' button"

https://gerrit.wikimedia.org/r/233624

Jdforrester-WMF renamed this task from Remove "Open" button from link inspecotrs to Remove "Open" button from link inspectors.Aug 26 2015, 1:41 AM
Jdforrester-WMF renamed this task from Remove "Open" button from link inspectors to Remove "Open" button from all four link inspectors.Oct 6 2015, 12:19 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.
DLynch claimed this task.Oct 7 2015, 3:59 PM

Change 244373 had a related patch set uploaded (by DLynch):
Remove the "Open" button from link inspectors

https://gerrit.wikimedia.org/r/244373

I have a related patch at https://gerrit.wikimedia.org/r/#/c/241699/ which removes the link behaviour from the search results. I don't think we should rely on right/middle click for useful functionality. If we are keeping a preview link feature it should be discoverable.

I was thinking of the clickable version of the link that appears in the context popup as being entirely suitable for the "I want to follow this" case. I can see how that doesn't work for the search results, though.

However, the existing "open" button is pretty awful if you want to use it for the search results, since (I believe) you have to click the result you want first, which populates the input and thus removes all your other results.

If we want to support this behavior in a more discoverable fashion, how about something inline in the search results which is more-explicitly an "open this link" action?

e.g.

With the link-symbol being an open-me target

Or even more explicitly (and uglily)

I agree with David that the Open button as-is is pretty useless; there may be a reason to add an "open" or "preview" secondary button to each search result, but the current one for the selected option adds no value.

Can we get a design pass at some sort of inline open button (maybe right aligned + frameless?)

Change 244373 merged by jenkins-bot:
Remove the "Open" button from link inspectors

https://gerrit.wikimedia.org/r/244373

Change 233624 abandoned by Jforrester:
Revert "MWLinkNodeInspector: Remove 'Open' button"

Reason:
Resolved, I think.

https://gerrit.wikimedia.org/r/233624